<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

function deleta($tabela, $codigousuario, $dbh, $usuario_del, $p, $mensagem)
{
   $sql1="delete from $tabela cascade where codigousuario='$codigousuario'";

   $result1=pg_query($dbh, $sql1);
   if (!$result1)
   {
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {
         $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
         $SESSION["f_retornoFatal"] = $erroFatal;
      }
      $erro = "$mensagem";
      SESSION_START();
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?acao=consultar&usuario='.$usuario_del.'&'.$p);
      exit;
   }
}

include "in_1.php";
$usuario_del=$_GET["usuario"];

$dbh = pg_connect("host=localhost port=5432 dbname=pcni user=semge password=semge");

require "inicializarTransacao.php";

$sql="select codigousuario from cultura.usuario where usuario='$usuario_del'";

$result=pg_query($dbh, $sql);
$row=pg_fetch_array($result);
$codigousuario=$row["codigousuario"];

deleta("cultura.visita", "$codigousuario", $dbh, $usuario_del, $p, "Erro Exclusao Visita");
deleta("cultura.historicousuarioatividade", "$codigousuario", $dbh, $usuario_del, $p, "Erro Exclusao Historico Atividade");
deleta("cultura.historicousuariolazer", "$codigousuario", $dbh, $usuario_del, $p, "Erro Exclusao Historico Lazer");
deleta("cultura.historicousuariolocaislazer", "$codigousuario", $dbh, $usuario_del, $p, "Erro Exclusao Historico Locais Lazer");
deleta("cultura.historicousuario", "$codigousuario", $dbh, $usuario_del, $p, "Erro Exclusao Historico Usuario");
deleta("cultura.usuarioatividade", "$codigousuario", $dbh, $usuario_del, $p, "Erro Exclusao Atividades");
deleta("cultura.usuariolazer", "$codigousuario", $dbh, $usuario_del, $p, "Erro Exclusao Tipos Lazer");
deleta("cultura.usuariolocaislazer", "$codigousuario", $dbh, $usuario_del, $p, "Erro Exclusao Locais Lazer");
deleta("cultura.usuario", "$codigousuario", $dbh, $usuario_del, $p, "Erro Exclusao Usuario");

$sql1="delete from cultura.logon cascade where usuario='$usuario_del'";
$result1=pg_query($dbh, $sql1);
if (!$result1)
{
   $result = pg_query($dbh, "ROLLBACK");
   if (!$result)
   {
      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro Exclusao Login";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:cadastro.php?acao=consultar&usuario='.$usuario_del.'&'.$p);
   exit;
}

SESSION_START();

include "finalizarTransacao.php";
include "includes/end.php";
$retorno="Excluiu Usuario com Sucesso!";
$_SESSION["f_retorno"]= $retorno;

header('location:main.php?retorno='.$retorno.'&'.$p);
exit;

?>







